<?php 
require_once "../modelos/Camiseria.php";

$camiseria=new Camiseria();

$idcamiseria	=isset($_POST["idcamiseria"])? limpiarCadena($_POST["idcamiseria"]):"";
$nombre				=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion	=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$precioa			=isset($_POST["precioa"])? limpiarCadena($_POST["precioa"]):"0";
$preciob			=isset($_POST["preciob"])? limpiarCadena($_POST["preciob"]):"0";
$precioc			=isset($_POST["precioc"])? limpiarCadena($_POST["precioc"]):"0";
$preciod			=isset($_POST["preciod"])? limpiarCadena($_POST["preciod"]):"0";
$precioe			=isset($_POST["precioe"])? limpiarCadena($_POST["precioe"]):"0";
$tasa_dollar	=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"0";
$precioab			=isset($_POST["precioa"])? limpiarCadena($_POST["precioa"]):"0";
$preciobb			=isset($_POST["preciob"])? limpiarCadena($_POST["preciob"]):"0";
$preciocb			=isset($_POST["precioc"])? limpiarCadena($_POST["precioc"]):"0";
$preciodb			=isset($_POST["preciod"])? limpiarCadena($_POST["preciod"]):"0";
$precioeb			=isset($_POST["precioe"])? limpiarCadena($_POST["precioe"]):"0";

$precioab			=$precioa*$tasa_dollar;
$preciobb			=$preciob*$tasa_dollar;
$preciocb			=$precioc*$tasa_dollar;
$preciodb			=$preciod*$tasa_dollar;
$precioeb			=$precioe*$tasa_dollar;

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idcamiseria)) {
			$rspta=$camiseria->insertar($nombre,$descripcion,$precioa,$preciob,$precioc,$preciod,$precioe,$precioab,$preciobb,$preciocb,$preciodb,$precioeb);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
					$rspta=$camiseria->editar($idcamiseria,$nombre,$descripcion,$precioa,$preciob,$precioc,$preciod,$precioe,$precioab,$preciobb,$preciocb,$preciodb,$precioeb);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'selectcamiseria':
	
		$rspta = $camiseria->listar();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Camisa';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idcamiseria.'>'.$reg->nombre.'</option>';
		}
	break;
		
	case 'desactivar':
		$rspta=$camiseria->desactivar($idcamiseria);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	case 'activar':
		$rspta=$camiseria->activar($idcamiseria);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$camiseria->mostrar($idcamiseria);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$camiseria->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idcamiseria.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idcamiseria.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idcamiseria.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idcamiseria.')">
						<i class="fa fa-check"></i></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->descripcion,
						"3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'buscarcamiseriaid':
		$rspta=$camiseria->buscarcamiseriaid($idcamiseria);
		echo json_encode($rspta);
	break;


}
 ?>